# generated by datamodel-codegen:
#   filename:  linked_data.json
#   timestamp: 2025-01-27T15:28:04+00:00

from __future__ import annotations

from typing import Optional

from pydantic import BaseModel, Field


class Model(BaseModel):
    field_id: Optional[str] = Field(
        None,
        alias='@id',
        description='A Uniform Resource Identifier (URI) that links the resource via the OpenEnergyDatabus (DBpedia Databus).',
        examples=[
            'https://databus.openenergyplatform.org/oeplatform/supply/wri_global_power_plant_database/2022-11-07'
        ],
        title='@Id',
    )
    field_context: Optional[str] = Field(
        None,
        alias='@context',
        description='Explanation of metadata keys in ontology terms.',
        examples=[
            'https://raw.githubusercontent.com/OpenEnergyPlatform/oemetadata/production/metadata/latest/context.json'
        ],
        title='@context',
    )
